1

Hello I have this kind of problem.. I tried to install kubuntu plasma desktop but somehow it failed during installation ..now I can't use apt-get can you guys help me somehow? thank you.

>  
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 haveged : Depends: libhavege1 (>= 1.9.0) but it is not going to be installed
 kde-telepathy-minimal : Depends: kde-config-telepathy-accounts (>= 15.04.0) but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
1
  • Have you tried running sudo apt-get -f install?
    – anonymous2
    Oct 6, 2016 at 14:07

2 Answers 2

2

try this :

sudo apt-get clean

or

sudo apt-get autoclean

and run :

sudo apt-get -f install && sudo dpkg --configure -a && sudo apt-get -f install

if result

0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.

run this :

sudo apt-get -u dist-upgrade

and try reinstall package

3
  • when I try third command I get this pastebin.com/ybhsD9yE and when I try sudo apt-get autoremove I get this pastebin.com/R9mgScYq
    – Jozef
    Oct 6, 2016 at 13:51
  • run : sudo dpkg -r account-plugin-google unity-scope-gdrive && sudo apt-get -f install. i think there is wrong with kubuntu dependecies and you need to force remove those package.
    – sudo_ee_
    Oct 6, 2016 at 13:57
  • Unmet dependencies doesn't let you install anything because there is a glitch created in sources.list file
    – minigeek
    Oct 6, 2016 at 13:59
1

This might be a bit late to respond but in current versions of apt, unmet dependencies can be fixed with

apt install --fix-broken

Took the answer from this post.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .